=begin
/****************************************************************
**
** Implementation of LCDRange class, Qt tutorial 7
**
****************************************************************/
=end

class LCDRange < QVBox
attr_reader:valueChanged
def initialize( parent=0, name=0 )
        super( parent, name )

    lcd  = QLCDNumber.new( 2, self, "lcd"  )
    @slider = QSlider.new( Horizontal, self, "slider" )
    @slider.setRange( 0, 99 )
    @slider.setValue( 0 )
    @valueChanged = RSignal.new("int")
    connect( @slider, QSIGNAL("valueChanged(int)"), lcd, "display(int)" )
    connect( @slider, QSIGNAL("valueChanged(int)"),@valueChanged)
end

def value()
    @slider.value()
end

def setValue( value )
    @slider.setValue( value )
end

end
